Bug 70402 - save the order of the tracks in a playlist (like a meta-data saved in the list, not in the songs files)
Summary: save the order of the tracks in a playlist (like a meta-data saved in the lis...
Status: RESOLVED FIXED
Alias: None
Product: juk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Mandrake RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Scott Wheeler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-14 15:48 UTC by Js Lebacq
Modified: 2011-06-27 21:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Js Lebacq 2003-12-14 15:48:06 UTC
Version:            (using KDE KDE 3.1.94)
Installed from:    Mandrake RPMs

First, thanks for all your work on Juk.

I search and read these wish and bug reports before writing:
http://bugs.kde.org/show_bug.cgi?id=57999 (Playlists cannot be reordered after sorting (normal))
http://bugs.kde.org/show_bug.cgi?id=69052 (Playlist order is destroyed by column sort (normal))
http://bugs.kde.org/show_bug.cgi?id=63260 ("upcoming" playlist (wishlist))

In the last, about "upcoming" playlist, you said 
Comment 1 Γιώργος Κυλάφας (Giorgos Kylafas) 2011-06-09 02:30:28 UTC
SVN commit 1235751 by kylafas:

juk: keep the order of tracks when loading a plain playlist.

Plain Playlists are saved by explicitly writting the filenames of the
tracks they contain (in contrast, SearchPlaylists store only their
search pattern and FolderPlaylists only their folder). The filenames are
written to the disk in the order they appear in the playlist.

So, when loading such Playlists, disable sorting before adding the
tracks, so that they appear in the order they were saved.

CCBUG: 70402

 M  +3 -2      playlist.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1235751
Comment 2 Γιώργος Κυλάφας (Giorgos Kylafas) 2011-06-09 02:48:31 UTC
SVN commit 1235753 by kylafas:

juk: keep the order of tracks when loading a plain playlist.

Plain Playlists are saved by explicitly writting the filenames of the
tracks they contain (in contrast, SearchPlaylists store only their
search pattern and FolderPlaylists only their folder). The filenames are
written to the disk in the order they appear in the playlist.

So, when loading such Playlists, disable sorting before adding the
tracks, so that they appear in the order they were saved.

This is a backport of r1235751 from trunk to branch 4.6 (KDE SC 4.6.5).

CCBUG: 70402

 M  +3 -2      playlist.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1235753